mbedtls_ssl_key_cert Struct Reference

`#include <ssl_internal.h>`

Collaboration diagram for mbedtls_ssl_key_cert:
[legend]

## Data Fields

mbedtls_x509_crt * | cert
mbedtls_pk_context * | key
mbedtls_ssl_key_cert * | next

## Detailed Description

Definition at line 312 of file ssl_internal.h.

## Field Documentation

mbedtls_x509_crt* mbedtls_ssl_key_cert::cert

cert

Definition at line 314 of file ssl_internal.h.

Referenced by mbedtls_ssl_own_cert().

mbedtls_pk_context* mbedtls_ssl_key_cert::key

private key

Definition at line 315 of file ssl_internal.h.

Referenced by mbedtls_ssl_own_key().

mbedtls_ssl_key_cert* mbedtls_ssl_key_cert::next

next key/cert pair

Definition at line 316 of file ssl_internal.h.

The documentation for this struct was generated from the following file:

- ssl_internal.h